Page MenuHomePhabricator

[AVR] Fix lifeness issues in the AVR backend
ClosedPublic

Authored by aykevl on Feb 21 2021, 4:56 PM.

Details

Summary

This patch is a large number of small changes that should hopefully not
affect the generated machine code but are still important to get right
so that the machine verifier won't complain about them. It is the last
in a series of patches to get all the AVR codegen tests to pass with the
machine verifier enabled.

The llvm/test/CodeGen/AVR/pseudo/*.mir changes are also necessary
because without the liveins the used registers are considered undefined
by the machine verifier and it will complain about them.


I'm aware there are other issues that trigger the machine verifier in the AVR backend, but this series of patches should at least get ninja -j4 check-llvm-codegen-avr to work with the machine verifier enabled. Actually enabling it for the AVR backend will need to be done in a separate patch (isMachineVerifierClean).

Diff Detail

Event Timeline

aykevl created this revision.Feb 21 2021, 4:56 PM
aykevl requested review of this revision.Feb 21 2021, 4:56 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 21 2021, 4:56 PM
benshi001 accepted this revision.Feb 28 2021, 7:54 PM

We need to fix the build failure before commit this patch.

This revision is now accepted and ready to land.Feb 28 2021, 7:54 PM
aykevl added a comment.Mar 1 2021, 4:33 PM

We need to fix the build failure before commit this patch.

What do you mean? Which build failure should be fixed?

We need to fix the build failure before commit this patch.

What do you mean? Which build failure should be fixed?

https://buildkite.com/llvm-project/diff-checks/builds/30083

Is it an incident? I saw Failed to apply 1_325355.patch. on this page.

aykevl updated this revision to Diff 327775.Mar 3 2021, 6:43 AM

Re-upload (without changes) to try to get the buildbot working...

Re-upload (without changes) to try to get the buildbot working...

So you are appreciated to commit it .

This revision was landed with ongoing or failed builds.Mar 4 2021, 5:04 AM
This revision was automatically updated to reflect the committed changes.